package com.docus.server.ws.impl;

import com.docus.server.ws.IWebserviceServer;
import com.docus.server.ws.WsCollect;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class WebserviceServer implements IWebserviceServer {
    @Resource
    private WsCollect wsCollect;

    @Override
    public String receiveHandNumbness(String handNumbness) {
        return wsCollect.receiveHandNumbness(handNumbness);
    }


    @Override
    public String receiveDept(String deptXml) {
        return wsCollect.receiveDept(deptXml);
    }

    @Override
    public String deptModify(String receiveUser) {
        return null;
    }

    @Override
    public String setTBasic(String str) {
        return null;
    }

    @Override
    public String updateTBasic(String str) {
        return null;
    }

    @Override
    public String userModify(String receiveUser) {
        return null;
    }

    @Override
    public String pushICUReport(String icuReportMessage) {
        return null;
    }

    @Override
    public String pushAddInspectionReport(String inspectionReportMessage) {
        return null;
    }

    @Override
    public String pushUpdateInspectionReport(String inspectionReportMessage) {
        return null;
    }

    @Override
    public String querySdJxIndexTest(String xml) {
        return null;
    }

    @Override
    public String querySdJxIndexNoResultTest(String xml) {
        return null;
    }

}
